#pragma once
#include "my_fastled.h"
#include <list>
#include <vector>
#include "config.h"
#include "node.h"
#include "edge.h"
#include "corner.h"

class Node;

extern std::vector<Node*> nodes;
extern std::list<Edge*> edges;
extern std::vector<Corner*> corners;

extern CRGB leds[LED_COUNT];
extern CRGB color;

enum AnimationMode {
	AM_CORNERS,
	AM_FIRST_CORNER,
	AM_NODES,
	AM_FIRST_NODE,
	AM_FLASH,
	AM_OFF,
	AM_ERROR,
	AM_NONE,
	AM_STATIC
};

extern AnimationMode mode;
extern AnimationMode temp_mode;
extern unsigned long temp_mode_until;
extern int return_to_brightness;
extern uint8_t speedup;
